## octave-dataframe 0.9.1

=== DESCRIPTION ===
Name: dataframe
Version: 0.9.1
Date: 2012-02-10
Author: Pascal Dupuis
Maintainer: The Octave Community
Title: Data Frame
Description: Data manipulation toolbox similar to R data.frame
Categories: data manipulation, statistics
Depends: octave (>= 3.2.0)
License: GPL version 3 or later
Url: http://octave.sf.net
SVNRelease: $Revision: 9615 $

=== debian/changelog ===
octave-dataframe (0.9.1-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Initial release (closes: #665419)

 -- Thomas Weber <tweber@debian.org>  Sat, 24 Mar 2012 17:07:19 +0100

=== debian/control ===
Source: octave-dataframe
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
          Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/dataframe/
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-dataframe.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-dataframe.git

Package: octave-dataframe
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: manipulate data in Octave similar to R data.frame
 In the R language, a dataframe object is a way to group tabular data.  The
 functions in this package allow the manipulation of data in a similar way
 in Octave.  Dataframe objects in Octave can be created in a variety of
 ways (from other objects or from tabular data in a file) and then can be
 accessed either as matrix or by column name.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/dataframe-([\d.]+)\.tar\.gz\?download

## octave-dataframe 1.0.0

=== DESCRIPTION ===
Name: dataframe
Version: 1.0.0
Date: 2014-03-28
Author: Pascal Dupuis
Maintainer: The Octave Community
Title: Data Frame
Description: Data manipulation toolbox similar to R data.frame
Categories: data manipulation, statistics
Depends: octave (>= 3.4.0)
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-dataframe (1.0.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.0.0
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright:
    + Refresh for new upstream version
    + Use octave-maintainers mailing list as upstream contact
  * Bump to Standards-Version 3.9.5, no changes needed
  * Drop patch path-to-test-csv-file.patch (applied upstream)
  * debian/watch: Use the SourceForge redirector

  [ Sébastien Villemot ]
  * Use my @debian.org email address

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 05 Apr 2014 12:46:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-          Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+          Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/dataframe/
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-dataframe.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-dataframe.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-dataframe.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-dataframe.git
 
 Package: octave-dataframe
 Architecture: all

## octave-dataframe 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: dataframe
-Version: 1.0.0
-Date: 2014-03-28
+Version: 1.0.1
+Date: 2014-09-09
 Author: Pascal Dupuis
 Maintainer: The Octave Community
 Title: Data Frame

=== debian/changelog ===
octave-dataframe (1.0.1-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 1.0.1
  * Remove Thomas Weber from Uploaders.
  * autoload-yes.patch: new patch, ensures that package is autoloaded.
  * Bump Standards-Version to 3.9.6, no changes needed.

  [ Rafael Laboissiere ]
  * debian/control: Depends on octave-pkg-dev >= 1.1.2.
    This ensures that the tests in the private directories will not be
    exercised at package build time.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 18 Sep 2014 15:51:06 +0200

## octave-dataframe 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: dataframe
-Version: 1.0.1
-Date: 2014-09-09
+Version: 1.1.0
+Date: 2014-11-06
 Author: Pascal Dupuis
 Maintainer: The Octave Community
 Title: Data Frame

=== debian/changelog ===
octave-dataframe (1.1.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.0
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 25 Jul 2015 14:11:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-          Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.5
+Uploaders: Sébastien Villemot <sebastien@debian.org>
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.2)
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/dataframe/
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-dataframe.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-dataframe.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = octave-dataframe

install/$(pkg)::
	chmod -x $$(find debian -name df_name2idx.m)

=== debian/watch ===
version=3
http://sf.net/octave/dataframe-(.+)\.tar\.gz

## octave-dataframe 1.2.0

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## This are the paths that will be created for the releases. Using
## $(realpath ...) avoids problems with symlinks.
target_dir       := $(realpath .)/target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
installation_dir := $(target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --no-history --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
# html_options = --eval 'options = get_html_options ("octave-forge");' \
#                --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
#octave_test_commands = \
#' dirs = {"inst", "src"}; \
#  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
#  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
#    else __run_test_suite__ (dirs, {}); endif '
#
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval 'dataframe_test'


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-dataframe (1.2.0-7) unstable; urgency=medium

  * Team upload

  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Oct 2025 11:55:50 -0300

octave-dataframe (1.2.0-6) unstable; urgency=medium

  * Team upload

  * d/rules:
    + Install rationale.txt file in documentation directory
    + Use execute_{before,after}_dh_installdeb instead of
      override_dh_installdeb
  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:18:44 -0300

octave-dataframe (1.2.0-5) unstable; urgency=medium

  * Team upload

  [ Sébastien Villemot ]
  * d/copyright: use correct license short name (FSFAP) for Makefile

  [ Rafael Laboissière ]
  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 12:17:28 -0300

octave-dataframe (1.2.0-4) unstable; urgency=medium

  * Team upload

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:06 -0200

octave-dataframe (1.2.0-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:27:57 -0200

octave-dataframe (1.2.0-2) unstable; urgency=medium

  * Team upload.

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Add Testsuite field
    + Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:16 -0200

octave-dataframe (1.2.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 1.2.0
  * d/copyright: reflect upstream changes.
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.
  * Bump to Standards-Version 4.1.0.
  * Bump to debhelper compat level 10.

  [ Rafael Laboissiere ]
  * d/control: Use secure URIs in the Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 29 Aug 2017 11:32:07 +0200

=== debian/control ===
Source: octave-dataframe
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dataframe
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dataframe.git
Homepage: https://gnu-octave.github.io/packages/dataframe/
Testsuite: autopkgtest-pkg-octave

Package: octave-dataframe
Architecture: all
Depends: ${misc:Depends},
         ${octave:Depends}
Description: manipulate data in Octave similar to R data.frame
 In the R language, a dataframe object is a way to group tabular data.  The
 functions in this package allow the manipulation of data in a similar way
 in Octave.  Dataframe objects in Octave can be created in a variety of
 ways (from other objects or from tabular data in a file) and then can be
 accessed either as matrix or by column name.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

sharedir = debian/octave-dataframe/usr/share

execute_before_dh_installdeb:
	chmod -x $$(find debian -name df_name2idx.m)

execute_after_dh_installdeb:
	mv $(sharedir)/octave/packages/dataframe-*/@dataframe/rationale.txt	\
	   $(sharedir)/doc/octave-dataframe

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/dataframe/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/dataframe-@ANY_VERSION@@ARCHIVE_EXT@
